Learn about Centmin Mod LEMP Stack today
Become a Member

Cache Enabler 1.5.1+ Changes Breaking Wordpress Sites/Search

Discussion in 'Centmin Mod News' started by eva2000, Oct 14, 2020.

Thread Status:
Not open for further replies.
  1. eva2000

    eva2000 Administrator Staff Member

    45,441
    10,312
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +15,994
    Local Time:
    10:03 PM
    Nginx 1.19.x
    MariaDB 5.5/10.x
    Cache Enabler 1.5.1+ released changes to it's caching logic seem to have broken some Wordpress sites and Wordpress plugins - including incorrectly caching Wordpress native search query strings. Cache Enabler 1.5.1 among other changes, switched query string specifying from cache inclusion to cache exclusion method. In 1.4.9, the Wordpress plugin excluded all query strings unless you specified query strings to include in cache. However, in 1.5.1 it will include all query strings in cache by default breaking some Wordpress plugins and requires users to specify query strings to exclude from cache.

    Centmin Mod 123.09beta01's centmin.sh menu option 22 Wordpress installer for new installs, has now introduced a new legacy mode variable which defaults to CACHE_ENABLER_LEGACY_CACHE='y' to install Cache Enabler 1.4.9 and lock updates until the issues are fixed.

    Full details including how existing Cache Enabler 1.5.1+ users can downgrade to Cache Enabler 1.4.9 as well as how to in future unlock 1.4.9 for 1.5.1+ updates can be found here Beta Branch - add Cache Enabler 1.4.9 legacy cache mode option in 123.09beta01.

    If you're having issues/questions, you can also post to the same thread.
     
Thread Status:
Not open for further replies.